/* Copyright C2013 Doug Anson, MIT License
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 * and associated documentation files the "Software", to deal in the Software without restriction,
 * including without limitation the rights to use, copy, modify, merge, publish, distribute,
 * sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all copies or
 * substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 * BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
 
 #ifndef _MBED_UBLOC_GPS_H_
 #define _MBED_UBLOC_GPS_H_
 
 // mbed support
 #include "mbed.h"
 
 // Location base class support
 #include "Location.h"

 // C027_Support
 #include "GPS.h"
 
class MBEDUbloxGPS : public Connector::Location {
     private: 
        GPSI2C          *m_gps;
        
     public:
        /**
        Constructor
        */
        MBEDUbloxGPS(RawSerial *pc);
        
        /**
        Destructor
        */
        virtual ~MBEDUbloxGPS();   
        
        /**
        Update the current location
        */
        virtual void updateLocation();
  };

 #endif // _MBED_UBLOC_GPS_H_